### Method

# Ide Device set_icon_name

#### Declaration

    void
    ide_device_set_icon_name (
      IdeDevice* self,
      const gchar* icon_name
    )

#### Description

Sets the icon-name property.

This is the icon that is displayed with the device name in UI elements.

Available since: | 3.32

Sets property | `Ide.Device:icon-name`

#### Parameters

`icon_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.